Package: org.gradle.api.plugins.jetty

## [Java] Class ScanTargetPattern

- org.gradle.api.plugins.jetty.ScanTargetPattern

- Patterns for scanning for file changes.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `File` | `getDirectory()`
    `List<String>` | `getExcludes()`
    `List<String>` | `getIncludes()`
    `void` | `setDirectory(File directory)`
    `void` | `setExcludes(List<String> excludes)`
    `void` | `setIncludes(List<String> includes)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public File getDirectory()

    - #### public List<String> getExcludes()

    - #### public List<String> getIncludes()

    - #### public void setDirectory(File directory)

    - #### public void setExcludes(List<String> excludes)

    - #### public void setIncludes(List<String> includes)